/*
 * This file was generated by the Gradle 'init' task.
 *
 * This project uses @Incubating APIs which are subject to change.
 */

plugins {
    id 'com.ruoyi.java-library'
}

dependencies {
    api 'org.springframework:spring-web'
    api 'org.springframework.boot:spring-boot-starter-security'
    api 'org.springframework.boot:spring-boot-starter-validation'
    api 'org.springframework.boot:spring-boot-starter-data-redis'

    api 'com.fasterxml.jackson.core:jackson-databind'
    api 'com.alibaba.fastjson2:fastjson2'
    api('com.github.pagehelper:pagehelper-spring-boot-starter') {
        exclude group: 'org.mybatis', module: 'mybatis'
        exclude group: 'org.mybatis', module: 'mybatis-spring'
    }
    api 'com.baomidou:mybatis-plus-boot-starter'
    api 'commons-io:commons-io'
    api 'commons-fileupload:commons-fileupload'
    api 'eu.bitwalker:UserAgentUtils'
    api 'io.jsonwebtoken:jjwt'
    api 'javax.servlet:javax.servlet-api'
    api 'javax.xml.bind:jaxb-api'
    api 'org.apache.commons:commons-lang3'
    api 'org.apache.poi:poi-ooxml'
}

description = 'ruoyi-common 通用工具'
